
// SepaToolboxDlg.h: Headerdatei
//

#pragma once
#include "afxwin.h"
#include <string>


// CSepaToolboxDlg-Dialogfeld
class CSepaToolboxDlg : public CDialogEx
{
// Konstruktion
public:
	CSepaToolboxDlg(CWnd* pParent = NULL);	// Standardkonstruktor

// Dialogfelddaten
	enum { IDD = IDD_SEPATOOLBOX_DEMO_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung


// Implementierung
protected:
	HICON m_hIcon;

	// Generierte Funktionen fr die Meldungstabellen
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CEdit m_ctrlKtoNr;
	CEdit m_ctrlBlz;
	CEdit m_ctrlIban;
	CEdit m_ctrlBic;
	CEdit m_ctrlBankInfo;

	afx_msg void OnBnClickedBtnIban();
	afx_msg void OnBnClickedBtnBic();
	afx_msg void OnBnClickedBtnBankinfo();

private:
	bool _CheckAufbauKtoNr( const std::string strKtoNr ) const;
	bool _CheckAufbauBlz(const std::string & strBlz) const;
	bool _CheckAufbauBIC(const std::string & szBIC) const;

private:
	bool _LoadSepaToolsDll(HINSTANCE &hInstLibSepaTools) const;
	void _UnLoadSepaToolsDll(HINSTANCE hInstLibSepaTools) const;

public:
	afx_msg void OnBnClickedButtonXmlDatei();
};
